### A free/open-source library for quantitative finance

Protected Member Functions
BlackVarianceTermStructure Class Reference

Black variance term structure. More...

`#include <ql/termstructures/volatility/equityfx/blackvoltermstructure.hpp>`

Inheritance diagram for BlackVarianceTermStructure:
[legend]

List of all members.

## Public Member Functions

Constructors
See the TermStructure documentation for issues regarding constructors.
| BlackVarianceTermStructure (const Calendar &cal, BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| BlackVarianceTermStructure (BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| default constructor
| BlackVarianceTermStructure (const Date &referenceDate, const Calendar &cal=Calendar(), BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| BlackVarianceTermStructure (Natural settlementDays, const Calendar &, BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
Visitability
virtual void | accept (AcyclicVisitor &)

## Protected Member Functions

Volatility | blackVolImpl (Time t, Real strike) const

## Detailed Description

Black variance term structure.

This abstract class acts as an adapter to VolTermStructure allowing the programmer to implement only the `blackVarianceImpl(Time, Real, bool)` method in derived classes.

Volatility are assumed to be expressed on an annual basis.

## Constructor & Destructor Documentation

BlackVarianceTermStructure | ( | const Calendar & | cal,
|  | BusinessDayConvention | bdc = `Following`,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.

BlackVarianceTermStructure | ( | BusinessDayConvention | bdc = `Following`,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

default constructor

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.

## Member Function Documentation

Volatility blackVolImpl | ( | Time | t,
|  | Real | strike
| ) |  | const`[protected, virtual]`

Returns the volatility for the given strike and date calculating it from the variance.

Implements BlackVolTermStructure.